// pages/meeting-list/meeting-list.js
const util = require('../../utils/util.js');
Page({

    /**
     * 页面的初始数据
     */
    data: {
        current: 1,
        size: 10,
        total: 0,
        list: [],
        type: ''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let that = this;
        that.setData({
            type: options.type
        });
        util.get({
            url: '/api/meeting/info/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: function (res) {
                wx.hideLoading();
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    that.setData({
                        total: res.data.data.total,
                        list: res.data.data.records
                    });
                }
            }
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {
        let that = this;
        that.setData({
            current: 1,
            list: []
        });
        util.get({
            url: '/api/meeting/info/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: (res) => {
                wx.hideLoading();
                wx.stopPullDownRefresh();
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    that.setData({
                        total: res.data.data.total,
                        list: res.data.data.records
                    });
                }
            }
        });
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {
        let that = this;
        let arr = that.data.list;
        let page = that.data.current;
        if (arr.length >= that.data.total) {
            util.toast('没有更多数据了');
            return;
        }
        that.setData({
            current: ++page
        });
        util.get({
            url: '/api/meeting/info/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: (res) => {
                wx.hideLoading();
                wx.stopPullDownRefresh();
                console.info(res);
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    let list = res.data.data.records;
                    that.setData({
                        list: arr.concat(list)
                    });
                }
            }
        });
    },

    /**
     * 点击跳转到会议封面页面
     * @param {*} e 
     */
    meetingCover: function (e) {
        let that = this;
        let item = e.currentTarget.dataset.item;
        if ('INSPECTION' == that.data.type) {
            if (item.status == 20) {
                util.toast('会议已结束');
            } else {
                wx.navigateTo({
                    url: '../meeting-inspection/meeting-inspection?templetId=' + item.inspectionTemplateId + '&meetingId=' + item.id,
                });
            }
        } else {
            wx.navigateTo({
                url: '../meeting-cover/meeting-cover?id=' + item.id,
            });
        }
    },

})